net.i2p.addressbook

## Class DaemonThread

- java.lang.Object
- - java.lang.Thread
  - - net.i2p.util.I2PThread
    - - net.i2p.util.I2PAppThread
      - - net.i2p.addressbook.DaemonThread

- All Implemented Interfaces:
    Runnable, NamingServiceUpdater

      public class DaemonThread
      extends I2PAppThread
      implements NamingServiceUpdater

  A thread that waits five minutes, then runs the addressbook daemon.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.util.I2PThread

      `I2PThread.OOMEventListener`

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DaemonThread(String[] args)` Construct a DaemonThread with the command line arguments args.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `halt()`
    `void` | `run()`
    `void` | `update(Properties options)` The NamingServiceUpdater interface.

    - ### Methods inherited from class net.i2p.util.I2PAppThread

      `addOOMEventThreadListener, fireOOM, removeOOMEventThreadListener`

    - ### Methods inherited from class net.i2p.util.I2PThread

      `addOOMEventListener, removeOOMEventListener, start`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DaemonThread

          public DaemonThread(String[] args)

      Construct a DaemonThread with the command line arguments args.
      Parameters:
        `args` - A String array to pass to Daemon.main().

  - ### Method Detail

    - #### halt

          public void halt()

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `I2PThread`

    - #### update

          public void update(Properties options)

      The NamingServiceUpdater interface. While this may be called directly, the recommended way is to call I2PAppContext.namingService().requestUpdate(Properties) which will call this.
      Specified by:
        `update` in interface `NamingServiceUpdater`
      Parameters:
        `options` - ignored, may be null